# OpenNI Frame Extractor

## Overview
The OpenNI Frame Extractor is a tool designed to extract frames from depth and color streams using the OpenNI framework. This project aims to facilitate the processing and analysis of depth and color data captured by compatible devices.

## Features
- Extract frames from depth and color streams.
- Save frames in various image formats.
- Configurable frame extraction intervals.

## Requirements
- OpenNI 2.x
- C++ Compiler
- CMake

## Installation
1. Clone the repository:
    ```sh
    git clone https://github.com/yourusername/openni-frame-extractor.git
    ```
2. Navigate to the project directory:
    ```sh
    cd openni-frame-extractor
    ```
3. Build the project using CMake:
    ```sh
    mkdir build
    cd build
    cmake ..
    make
    ```

## Usage
1. Connect your OpenNI-compatible device.
2. Run the frame extractor:
    ```sh
    ./openni-frame-extractor
    ```
3. Follow the on-screen instructions to start extracting frames.

## Contributing
Contributions are welcome! Please fork the repository and submit a pull request.

## License
This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

## Contact
For any questions or suggestions, please open an issue or contact the project maintainer at your.email@example.com.
